Package org.apache.tomcat.util.json

## Class JSONParserTokenManager

- java.lang.Object
- - org.apache.tomcat.util.json.JSONParserTokenManager

All Implemented Interfaces:
  `JSONParserConstants`

    public class JSONParserTokenManager
    extends java.lang.Object
    implements JSONParserConstants

Token Manager.

### Field Summary

Fields
`protected int` `curChar`
`java.io.PrintStream` `debugStream` Debug output.
`protected JavaCharStream` `input_stream`
`static int[]` `jjnewLexState` Lex State array.
`static java.lang.String[]` `jjstrLiteralImages` Token literal values.
`static java.lang.String[]` `lexStateNames` Lexer state names.

### Fields inherited from interface org.apache.tomcat.util.json.JSONParserConstants

`BRACE_CLOSE, BRACE_OPEN, BRACKET_CLOSE, BRACKET_OPEN, C_MULTILINE_COMMENT, C_SINGLE_COMMENT, COLON, COMMA, DEFAULT, DIGIT, DIGIT_NONZERO, EOF, EOL, FALSE, NULL, NUMBER_DECIMAL, NUMBER_INTEGER, QUOTE_DOUBLE, QUOTE_SINGLE, SH_SINGLE_COMMENT, STRING_DOUBLE_BODY, STRING_DOUBLE_EMPTY, STRING_DOUBLE_NONEMPTY, STRING_SINGLE_BODY, STRING_SINGLE_EMPTY, STRING_SINGLE_NONEMPTY, SYMBOL, tokenImage, TRUE, WHITESPACE, ZERO`

### Constructor Summary

Constructors
`JSONParserTokenManager​(JavaCharStream stream)` Constructor.
`JSONParserTokenManager​(JavaCharStream stream, int lexState)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Token` `getNextToken()` Get the next Token.
`protected Token` `jjFillToken()`
`void` `ReInit​(JavaCharStream stream)` Reinitialise parser.
`void` `ReInit​(JavaCharStream stream, int lexState)` Reinitialise parser.
`void` `setDebugStream​(java.io.PrintStream ds)` Set debug output.
`void` `SwitchTo​(int lexState)` Switch to specified lex state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### debugStream

    public java.io.PrintStream debugStream

Debug output.

#### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

Token literal values.

#### lexStateNames

    public static final java.lang.String[] lexStateNames

Lexer state names.

#### jjnewLexState

    public static final int[] jjnewLexState

Lex State array.

#### input_stream

    protected JavaCharStream input_stream

#### curChar

    protected int curChar

### Constructor Detail

#### JSONParserTokenManager

    public JSONParserTokenManager​(JavaCharStream stream)

Constructor.

#### JSONParserTokenManager

    public JSONParserTokenManager​(JavaCharStream stream,
                                  int lexState)

Constructor.

### Method Detail

#### setDebugStream

    public void setDebugStream​(java.io.PrintStream ds)

Set debug output.

#### jjFillToken

    protected Token jjFillToken()

#### getNextToken

    public Token getNextToken()

Get the next Token.

#### ReInit

    public void ReInit​(JavaCharStream stream)

Reinitialise parser.

#### ReInit

    public void ReInit​(JavaCharStream stream,
                       int lexState)

Reinitialise parser.

#### SwitchTo

    public void SwitchTo​(int lexState)

Switch to specified lex state.